Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Static Contacts

Create
POST /departments/{departmentId}/contacts
https://api.relesysapp.net/api/v1.4/departments/{departmentId}/contacts
Create a static contact for the department with ID departmentId.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
departmentId string / guid The department's unique identifier required
Request Body
application/json
object
  email string Max length: 128 optional
  imageId string / guid optional
  name string Max length: 256 required
  phoneNumber object optional
   countryCode integer optional
   number string optional
  title string Max length: 256 optional
Responses
application/json
JSON
{"data":{"id":"adb15658-1335-4610-9948-9e9c45bdf7e6","name":"John Doe","title":"Store Manager","phoneNumber":{"countryCode":45,"number":"12345678"},"email":"john.doe@example.com","image":{"id":"503d3941-06b8-4bab-9edd-1ca884551af4","downloadUrl":null,"referenceUrl":null,"contentType":"image/jpeg","fileName":"profile.jpg"},"sortOrder":0}}
object
  data object      
   email string      
   id string / guid      
   image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   sortOrder integer      
   title string